List deals
curl --request GET \
--url https://{companyName}.api.joinluminous.com/external/api/v1/deals \
--header 'Authorization: Bearer <token>'import requests
url = "https://{companyName}.api.joinluminous.com/external/api/v1/deals"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{companyName}.api.joinluminous.com/external/api/v1/deals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 123,
"name": "<string>",
"amount": 123,
"expected_close_date": "2023-12-25",
"closed_at": "2023-11-07T05:31:56Z",
"lost_reason": "<string>",
"stage_changed_at": "2023-11-07T05:31:56Z",
"notes": "<string>",
"business_account_id": 123,
"primary_contact_id": 123,
"owner_id": 123,
"deal_pipeline_id": 123,
"deal_pipeline_stage_id": 123,
"sales_orders_count": 123,
"invoices_count": 123,
"bills_count": 123,
"purchase_orders_count": 123,
"work_orders_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"message": "<string>"
}Deals (CRM)
List deals
List CRM deals with optional filters and pagination.
GET
/
deals
List deals
Authorizations
Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.
Query Parameters
Number of records per page.
Required range:
x <= 200Page number.
Restrict to a specific pipeline.
Restrict to a specific pipeline stage.
Restrict to deals in this status.
Available options:
open, won, lost Restrict to deals on a specific company.
Response
Successful response
Show child attributes
Show child attributes
⌘I